Maxxton External API

Sections

Get all bills for a reservation

Query Parameters

doFetchInternalBillboolean

True then fetch internal bill lines else don't default value false

payerTypestring Required

PayerType of the bill. Possible values: CUSTOMER or PAYING_CUSTOMER or AGENT

returnAllInclusiveBillboolean

The all inclusive bill details will be returned when the value is set to true

filterarray

Following fields can be used for filtering response.
reservationBillId:0,
reservationId:0,
cashflowRuleName:String,
resourceName:String,
description:String,
quantity:0,
multiplier:0,
value:0.0,
total:0.0,
billLineType:0,
totalBottomSequenceNr:0,
reservedResourceId:0,
startDate:2026-04-02,
endDate:2026-04-02,
payerType:String,
virtualOverrideValue:0.0,
resourceId:0,
reservationBillLineId:0,
resourceType:String, ...

Path Parameters

reservationIdinteger Required

Reservation id for which bill is to be fetched

Response

200
Object
The request is completed successfully without any errors

Response Attributes

reservationBillIdinteger
reservationIdinteger
cashflowRuleNamestring
resourceNamestring
descriptionstring
quantityinteger
multiplierinteger
valuenumber
totalnumber
billLineTypeinteger

RESERVED_RESOURCE(10) RESORT_ARTICLE(20) SUBTOTAL(40) WARRANT(50) VAT(60) TOTAL(70) PAID_AMOUNT(80) DUE_AMOUNT(90) STAY_ARTICLE(130) WITHHOLDINGARTICLE(140) COST_TYPE(180) TAX(250) TOTAL_EXCL_TAX(260) CANCEL_COMPENSATION(190) TO_PAY(120) COMMISSION(100) COMMISSION_VAT(110)

totalBottomSequenceNrinteger
reservedResourceIdinteger
startDatestring
endDatestring
payerTypestring
Enum values:
CUSTOMERPAYING_CUSTOMERAGENT
virtualOverrideValuenumber
resourceIdinteger
reservationBillLineIdinteger
resourceTypestring
resourceDescriptionstring
typestring
vatRatenumber
redeemedLoyaltyPointsinteger

Number of points needed to get this discount

redeemedLoyaltyNightsinteger

Number of nights given free by the resource

resourceTypeSequenceNrinteger
overrideValuenumber
overrideReasonstring
replacesParentResourceboolean

Boolean field which indicates if the bill line resource will replace the parent resource or not .

rateIdinteger

RateId linked with bill.rateId can be null because this field don’t exist when the bill lines are merged.

rateOptionIdinteger

RateOptionId linked with the rateId.

totalVatnumber

Exposes the currency amount the vat would be per billline

404
Object
No reservation or reservation bill found for given reservation id.
500
Object
Error occurred while fetching reservation bill

GET

/

Select
1

Response